List Attributes
curl --request GET \
--url https://api.reprompt.io/v2/attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reprompt.io/v2/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reprompt.io/v2/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attributes": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"function_signatures": [
{
"required_inputs": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"example": null
}
],
"output_schema": {},
"optional_inputs": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"example": null
}
],
"example_output": {},
"credit_cost": 123
}
],
"enrichment_type": "<string>",
"generic_api_config": {},
"icon": "<string>",
"favicon": "<string>"
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enrichments
List Attributes
List available attributes including custom attributes
GET
/
attributes
List Attributes
curl --request GET \
--url https://api.reprompt.io/v2/attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reprompt.io/v2/attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reprompt.io/v2/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"attributes": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"function_signatures": [
{
"required_inputs": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"example": null
}
],
"output_schema": {},
"optional_inputs": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"example": null
}
],
"example_output": {},
"credit_cost": 123
}
],
"enrichment_type": "<string>",
"generic_api_config": {},
"icon": "<string>",
"favicon": "<string>"
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer token in the format: Bearer YOUR_API_KEY
Headers
Query Parameters
⌘I